search cancel

Open Workbench and Java Updates

book

Article ID: 134339

calendar_today

Updated On:

Products

Clarity PPM SaaS

Issue/Introduction

Is it possible to update the Java version used by Open Workbench in PPM 15.4? This is needed to avoid vulnerabilities with the current version of Java used by OWB. 


Environment

Release : 15.4

Component : 105PM SAAS OPEN WORKBENCH (OWB)

Resolution

Out of the box, 15.4 Open Workbench is shipped with Java 1.8.0_40. To force Open Workbench to use a later 1.8 update, try either of the following: 

1. Leave OWB and Schedule Connect installed, and simply delete all of the content under the jre8 folder located under C:\Program Files (x86)\CA\PPM\CA PPM Schedule Connect.


Or

2. Uninstall OWB and Schedule Connect and reinstall without the JRE option. The JRE installs along with Schedule Connect by default. However, during the manual install, there is a 'Select Features' prompt, where there JRE (and all it's subfeatures) can be set to 'install when required', which will prevent the JRE from being installed.

Note: Either of the two options above will only work if a 32 bit version of Java 1.8 is installed on the computer and typing in 'java -version' on a command prompt correctly returns this version.